%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:       engrampa
Version:    1.28.1
Release:    %mkrel 1
Summary:    An archive manager for MATE Desktop
Group:      Graphical desktop/MATE
License:    GPLv2+ and LGPLv2+
URL:        http://mate-desktop.org
Source0:    http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: itstool
BuildRequires: chrpath
BuildRequires: mate-common >= 1.22.0
BuildRequires: xsltproc
BuildRequires: magic-devel
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.25.5
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libcaja-extension) >= 1.17.1
BuildRequires: pkgconfig(json-glib-1.0) >= 0.14.0
BuildRequires: yelp-tools
BuildRequires: autoconf-archive

Obsoletes: mate-file-archiver
Provides: mate-file-archiver = %{version}-%{release}

Requires:	dconf
Requires:   glibc >= 2.33

%description
Engrampa (Mate file archiver tool) is an archive manager
for the MATE environment. This means that you can :
create and modify archives; view the content of an archive;
view a file contained in the archive; extract files from the archive.
Engrampa is only a front-end (a graphical interface)
to archiving programs like tar and zip.
The supported file types are :
    * Tar archives uncompressed (.tar) or compressed with
          * gzip (.tar.gz , .tgz)
          * bzip (.tar.bz , .tbz)
          * bzip2 (.tar.bz2 , .tbz2)
          * compress (.tar.Z , .taz)
          * lzop (.tar.lzo , .tzo)
          * lzma (.tar.lzma , .tlz)
    * Zip archives (.zip)
    * Jar archives (.jar , .ear , .war)
    * Lha archives (.lzh)
    * Rar archives (.rar)
    * Single files compressed with gzip, bzip, bzip2, compress,
    lzop, lzma
    * ISO images

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.
    

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x             \
   --disable-static        \
   --enable-magic          \
   --enable-packagekit     \
   --enable-caja-actions

   
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Compression" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{oname} --with-gnome --all-name

find %{buildroot} -name *.la -delete

#gw rpmlint errors
chrpath -d %{buildroot}%{_bindir}/%{name}
chrpath -d %{buildroot}%{_libdir}/caja/*/*.so

%files -f %{oname}.lang
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_libexecdir}/engrampa-server
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.mate.engrampa.gschema.xml
%{_datadir}/metainfo/engrampa.appdata.xml
%{_datadir}/caja/extensions/libcaja-engrampa.caja-extension
%{_datadir}/dbus-1/services/org.mate.Engrampa.service
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/*/actions/*.png
%{_libdir}/caja/extensions-2.0/libcaja-%{name}.so
%{_mandir}/man1/%{name}.1.*

%files doc
%{_datadir}/help

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Mon Feb 26 2024 tex - 1.28.1-1pclos2024
- new version

* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Fri May 12 2023 tex - 1.26.1-1pclos2023
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Tue Apr 06 2021 tex - 1.24.2-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
